<!-- Paket Rating -->
#{if paket?.statusMessage?.rating != null}
<div class="panel panel-default">
    <div class="panel-body">
        <h5>&{'rating.label'}</h5>
        <div class="detail-list">
            <div class="detail-item">
                <div class="row">
                    <div class="detail-heading col-md-5">&{'akurasi_produk.label'}</div>
                    <div class="detail-description col-md-7">
                        <div class="accuracy-rating">
                            <span class="fa fa-star-o star-rating" data-rating="1"></span>
                            <span class="fa fa-star-o star-rating" data-rating="2"></span>
                            <span class="fa fa-star-o star-rating" data-rating="3"></span>
                            <span class="fa fa-star-o star-rating" data-rating="4"></span>
                            <span class="fa fa-star-o star-rating" data-rating="5"></span>
                            <input type="hidden" value="${paket?.statusMessage?.rating?.accuracy}" class="rating-value">
                        </div>
                    </div>
                </div>
            </div>
            <div class="detail-item">
                <div class="row">
                    <div class="detail-heading col-md-5">&{'pelayanan.label'}</div>
                    <div class="detail-description col-md-7">
                        <div class="service-rating">
                            <span class="fa fa-star-o star-rating" data-rating="1"></span>
                            <span class="fa fa-star-o star-rating" data-rating="2"></span>
                            <span class="fa fa-star-o star-rating" data-rating="3"></span>
                            <span class="fa fa-star-o star-rating" data-rating="4"></span>
                            <span class="fa fa-star-o star-rating" data-rating="5"></span>
                            <input type="hidden" value="${paket?.statusMessage?.rating?.service}" class="rating-value">
                        </div>
                    </div>
                </div>
            </div>
            <div class="detail-item">
                <div class="row">
                    <div class="detail-heading col-md-5">&{'kecepatan_pengiriman.label'}</div>
                    <div class="detail-description col-md-7">
                        <div class="speed-rating">
                            <span class="fa fa-star-o star-rating" data-rating="1"></span>
                            <span class="fa fa-star-o star-rating" data-rating="2"></span>
                            <span class="fa fa-star-o star-rating" data-rating="3"></span>
                            <span class="fa fa-star-o star-rating" data-rating="4"></span>
                            <span class="fa fa-star-o star-rating" data-rating="5"></span>
                            <input type="hidden" value="${paket?.statusMessage?.rating?.speed}" class="rating-value">
                        </div>
                    </div>
                </div>
            </div>
            <div class="detail-item">
                <div class="row">
                    <div class="detail-heading col-md-5">&{'pesan_tambahan.label'}</div>
                    <div class="detail-description col-md-7">${paket?.statusMessage?.rating?.additionalMessage}</div>
                </div>
            </div>
        </div>
    </div>
</div>

*{// di mark karena script terlalu dalam di includ di dalamnya}*
*{    #{set 'moreScripts'}}*
    <script src="@{'/public/javascripts/jquery-1.12.1.min.js'}" type="text/javascript"> </script>
    <script type="text/javascript">
        jQuery(document).ready(function () {
            var SetRatingStar = function(parent) {
                return jQuery(parent + ' .fa').each(function() {
                    if (parseInt(jQuery(parent + ' .fa').siblings('input.rating-value').val()) >= parseInt($(this).data('rating'))) {
                        return $(this).removeClass('fa-star-o').addClass('fa-star');
                    } else {
                        return $(this).removeClass('fa-star').addClass('fa-star-o');
                    }
                });
            };

            SetRatingStar(".accuracy-rating");
            SetRatingStar(".speed-rating");
            SetRatingStar(".service-rating");

        });
    </script>
*{    #{/set}}*
#{/if}
